<?php

declare(strict_types=1);

namespace UnitTestFiles\Test;
use PHPUnit\Framework\TestCase;

class FirstTest extends TestCase {
    private $setup;

    protected function setUp(): void {
        $this->setup = \testing\tts_setup::get_instance();
    }
    
    public function testTrueAssetsToTrue() {
        $this->setup::test_route("/mockup/app/first/returns_true.html");
        $condition = $this->setup::do_routes();
	$this->assertTrue($condition);
    }
    
    public function testAnotherRouteAssetsToTrue() {
        $this->setup::test_route("/mockup/app/first/same.html");
        $condition = $this->setup::do_routes();
	$this->assertTrue($condition);        
    }
    
}